Name:           perl-DateTime-Format-ICal
Version:        0.09
Release:    1%{?dist}
Summary:        Parse and format iCal datetime and duration strings
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/DateTime-Format-ICal
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/DateTime-Format-ICal-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(DateTime) >= 0.17
BuildRequires:  perl(DateTime::Event::ICal) >= 0.03
BuildRequires:  perl(DateTime::Set) >= 0.1
BuildRequires:  perl(DateTime::Span)
BuildRequires:  perl(DateTime::TimeZone) >= 0.22
BuildRequires:  perl(Params::Validate) >= 0.59
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(Test::More)
Requires:       perl(DateTime) >= 0.17
Requires:       perl(DateTime::Event::ICal) >= 0.03
Requires:       perl(DateTime::Set) >= 0.1
Requires:       perl(DateTime::TimeZone) >= 0.22
Requires:       perl(Params::Validate) >= 0.59

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(DateTime\\)$
%global __requires_exclude %__requires_exclude|^perl\\(DateTime::Event::ICal\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Params::Validate\\)$

%description
This module understands the ICal date/time and duration formats, as defined
in RFC 2445. It can be used to parse these formats in order to create the
appropriate objects.

%prep
%setup -q -n DateTime-Format-ICal-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%license LICENSE
%doc Changes TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.09-1
- initial build
